﻿var tempDiv = '';

window.onscroll = placeDivInCenterOfScreen;

function XLink(strUrl, strText) {
    if (strUrl != 'undefined' &&
        strText != 'undefined' &&
        strUrl != null &&
        strText != null) {

        var aContinueLink = document.getElementById('_continueLink');
        if (aContinueLink != 'undefined' && aContinueLink != null) {
            aContinueLink.setAttribute('href', strUrl);
        }

        var pContinueText = document.getElementById('_continueButtonLinkText');
        if (pContinueText != 'undefined' && pContinueText != null) {
            if (strText.length > 19) {
                pContinueText.innerHTML = strText.substring(0, 18) + '...';
            }
            else {
                pContinueText.innerHTML = strText;
            }
        }
        showPopup('XLinkDiv');
    }
}

function showPopup(divName) {

    var divElem = document.getElementById(divName);
    
    if (divElem != null && divElem != 'undefined') {
        if (divElem.style.display == 'none' || divElem.style.display == '') {
            placeDivInCenterOfScreen(divName);
            hidePopup(tempDiv);
            tempDiv = divName;
            divElem.style.display = 'block';
        }
        if(!isIE6OrBelow()) {
            document.getElementById('modal').style.display = 'block';
        }
    }
}

function isIE6OrBelow(){
    //var browser=navigator.appName;
    var b_version=navigator.appVersion;
    var ie_version=parseFloat(b_version.split('MSIE')[1]);
    if(ie_version <= 6) 
        return true;
    else 
        return false;
}

function hidePopup(divName) {
    var divElem = document.getElementById(divName);
    if (divElem != null && divElem != 'undefined') {
        divElem.style.display = 'none';
        document.getElementById('modal').style.display = 'none';
    }
}

function placeDivInCenterOfScreen(divName) {
    if (tempDiv != null && tempDiv != '') {
        divName = tempDiv;
    }
    var divElem = document.getElementById(divName);

    var scrolledX, scrolledY;
    if (self.pageYOffset) {
        scrolledY = self.pageYOffset;
    } else if (document.documentElement && document.documentElement.scrollTop) {
        scrolledY = document.documentElement.scrollTop;
    } else if (document.body) {
        scrolledY = document.body.scrollTop;
    }

    // Next, determine the coordinates of the center of browser's window 

    var centerX, centerY;
    if (self.innerHeight) {
        centerY = self.innerHeight;
    } else if (document.documentElement && document.documentElement.clientHeight) {
        centerY = document.documentElement.clientHeight;
    } else if (document.body) {
        centerY = document.body.clientHeight;
    }

    if (divElem != null && divElem != 'undefined') {
        var leftOffset = scrolledX + (centerX - divElem.offsetWidth) / 2;
        var topOffset = scrolledY;
        var o = divElem;
        var r = o.style;
        r.top = topOffset + 'px';
    }
}

function focusTxtbox(txtFocusField) {
    var tbxFriendName = document.getElementById(txtFocusField);
    if (tbxFriendName != null) {
        tbxFriendName.focus();
    }
}

function ClearValue(tbxFriendName, tbxFriendEmail, tbxSenderName) {
    var txtFriendName = document.getElementById(tbxFriendName);
    var txtFriendEmail = document.getElementById(tbxFriendEmail);
    var txtSenderName = document.getElementById(tbxSenderName);

    if (txtFriendName != null && txtFriendName != 'undefined') {
        txtFriendName.value = '';
    }

    if (txtFriendEmail != null && txtFriendEmail != 'undefined') {
        txtFriendEmail.value = '';
    }

    if (txtSenderName != null && txtSenderName != 'undefined') {
        txtSenderName.value = '';
    }
}




